Create new solution
curl --request POST \
--url https://api.meetsquad.ai/organisations/{orgId}/workspaces/{workspaceId}/solutions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Implement Single Sign-On",
"description": "Integrate with OAuth providers to simplify user login experience",
"createdBy": "generated",
"prd": "Objective: Help users easily create...",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"systemPrompt": "<string>",
"refinementLog": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>"
}
],
"status": "Backlog",
"pros": [
"<string>"
],
"cons": [
"<string>"
],
"ownerId": "<string>",
"opportunityIds": [
"<string>"
],
"horizon": "now"
}
'import requests
url = "https://api.meetsquad.ai/organisations/{orgId}/workspaces/{workspaceId}/solutions"
payload = {
"title": "Implement Single Sign-On",
"description": "Integrate with OAuth providers to simplify user login experience",
"createdBy": "generated",
"prd": "Objective: Help users easily create...",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"systemPrompt": "<string>",
"refinementLog": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>"
}
],
"status": "Backlog",
"pros": ["<string>"],
"cons": ["<string>"],
"ownerId": "<string>",
"opportunityIds": ["<string>"],
"horizon": "now"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Implement Single Sign-On',
description: 'Integrate with OAuth providers to simplify user login experience',
createdBy: 'generated',
prd: 'Objective: Help users easily create...',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
systemPrompt: '<string>',
refinementLog: [{id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', content: '<string>'}],
status: 'Backlog',
pros: ['<string>'],
cons: ['<string>'],
ownerId: '<string>',
opportunityIds: ['<string>'],
horizon: 'now'
})
};
fetch('https://api.meetsquad.ai/organisations/{orgId}/workspaces/{workspaceId}/solutions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"aiProcessingState": "FINISHED",
"refinementLog": [],
"title": "Implement Single Sign-On",
"description": "Integrate with OAuth providers to simplify user login experience",
"status": "Backlog",
"pros": [
"Improved security",
"Simplified login flow",
"Reduced password reset requests"
],
"cons": [
"Requires integration with external providers",
"May add complexity to registration"
],
"hideContent": false,
"createdBy": "generated",
"createdAt": "2025-03-26T22:35:46Z",
"updatedAt": "2025-03-26T22:35:46Z",
"priority": "a0",
"prd": "Objective: Help users easily create...",
"opportunities": [],
"insights": [],
"outcomes": [],
"systemPrompt": "Hello",
"ownerId": "d4e71c2b-a498-42af-b7f5-69de06a0d7c4",
"horizon": "now"
}
}Solutions
Create new solution
Creates a new solution in the specified workspace
POST
/
organisations
/
{orgId}
/
workspaces
/
{workspaceId}
/
solutions
Create new solution
Authorizations
JWT authentication for organization-scoped endpoints.
Body
application/json
Request schema for creating a solution
Title of the solution
Example:
"Implement Single Sign-On"
Description of the solution
Example:
"Integrate with OAuth providers to simplify user login experience"
How the solution was created
Available options:
user, generated Example:
"generated"
Product Requirements Document content for the solution
Example:
"Objective: Help users easily create..."
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
INITIAL, PROCESSING, FINISHED, ERROR Show child attributes
Show child attributes
Solution status
Available options:
Backlog, New, Planned, InDevelopment, Complete, Cancelled, Live Example:
"Backlog"
Solution horizon
Available options:
now, next, later Example:
"now"
Response
Solution created successfully
Response containing a single solution
Solution data
Show child attributes
Show child attributes
⌘I